Skip to main content
GET
/
staking
/
positions
/
{id}
/
related_transactions
TypeScript
const response: Promise<FireblocksResponse<StakingPositionRelatedTransactionsPaginatedResponse>> = fireblocks.staking.getPositionRelatedTransactions(stakingApiGetPositionRelatedTransactionsRequest);
CompletableFuture<ApiResponse<StakingPositionRelatedTransactionsPaginatedResponse>> response = fireblocks.staking().getPositionRelatedTransactions(id, pageSize, pageCursor, order);
response = fireblocks.staking.get_position_related_transactions(id, page_size, page_cursor, order);
curl --request GET \
--url https://api.fireblocks.io/v1/staking/positions/{id}/related_transactions
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/staking/positions/{id}/related_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "txId": "b70601f4-d7b1-4795-a8ee-b09cdb4r850d",
      "txHash": "0xabc123...",
      "stakingOperation": "STAKE",
      "timestamp": "2024-01-15T10:30:00.000Z",
      "status": "COMPLETED",
      "amount": "32"
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "Couldn't find position with id: abc-123",
"code": 3310,
"descriptor": "{\"positionId\":\"abc-123\"}"
}
{
"message": "<string>",
"code": 123
}

Path Parameters

id
string
required

Unique identifier of the staking position.

Query Parameters

pageSize
integer<int32>
required

Number of results per page (minimum: 1, maximum: 100).

Required range: 1 <= x <= 100
Example:

10

pageCursor
string

Cursor for the next page of results. Use the value from the 'next' field in the previous response.

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"

order
enum<string>
default:DESC

ASC / DESC ordering for completed/failed history (default DESC). The in-flight transaction is always returned first.

Available options:
ASC,
DESC
Example:

"ASC"

Response

Paginated list of related transactions for the position returned successfully.

data
object[]
required

The related transactions for the current page.

Example:
[
{
"txId": "b70601f4-d7b1-4795-a8ee-b09cdb4r850d",
"txHash": "0xabc123...",
"stakingOperation": "STAKE",
"timestamp": "2024-01-15T10:30:00.000Z",
"status": "COMPLETED",
"amount": "32"
}
]
next
string | null

Cursor for the next page. Use this value in the pageCursor parameter to fetch the next page. Null if no more pages.

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"